<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:16 CET 2009 -->
<TITLE>
J-Index
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="J-Index";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-9.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-11.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-10.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-10.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">J</A> <A HREF="index-11.html">K</A> <A HREF="index-12.html">L</A> <A HREF="index-13.html">M</A> <A HREF="index-14.html">N</A> <A HREF="index-15.html">O</A> <A HREF="index-16.html">P</A> <A HREF="index-17.html">Q</A> <A HREF="index-18.html">R</A> <A HREF="index-19.html">S</A> <A HREF="index-20.html">T</A> <A HREF="index-21.html">U</A> <A HREF="index-22.html">V</A> <A HREF="index-23.html">W</A> <A HREF="index-24.html">X</A> <A HREF="index-25.html">Y</A> <A HREF="index-26.html">Z</A> <HR>
<A NAME="_J_"><!-- --></A><H2>
<B>J</B></H2>
<DL>
<DT><A HREF="../ch/javasoft/tool/JarFileCollector.html" title="class in ch.javasoft.tool"><B>JarFileCollector</B></A> - Class in <A HREF="../ch/javasoft/tool/package-summary.html">ch.javasoft.tool</A><DD>Java Classpath Collector.<DT><A HREF="../ch/javasoft/tool/JarFileCollector.html#JarFileCollector()"><B>JarFileCollector()</B></A> - 
Constructor for class ch.javasoft.tool.<A HREF="../ch/javasoft/tool/JarFileCollector.html" title="class in ch.javasoft.tool">JarFileCollector</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_CLASS_PATH"><B>JAVA_CLASS_PATH</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java class path
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_CLASS_VERSION"><B>JAVA_CLASS_VERSION</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java class format version number
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_COMPILER"><B>JAVA_COMPILER</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Name of JIT compiler to use
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_EXT_DIRS"><B>JAVA_EXT_DIRS</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Path of extension directory or directories
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_HOME"><B>JAVA_HOME</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java installation directory
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_IO_TMPDIR"><B>JAVA_IO_TMPDIR</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Default temp file path
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_LIBRARY_PATH"><B>JAVA_LIBRARY_PATH</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>List of paths to search when loading libraries
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_SPECIFICATION_NAME"><B>JAVA_SPECIFICATION_NAME</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Runtime Environment specification name
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_SPECIFICATION_VENDOR"><B>JAVA_SPECIFICATION_VENDOR</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Runtime Environment specification vendor
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_SPECIFICATION_VERSION"><B>JAVA_SPECIFICATION_VERSION</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Runtime Environment specification version
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VENDOR"><B>JAVA_VENDOR</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Runtime Environment vendor
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VENDOR_URL"><B>JAVA_VENDOR_URL</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java vendor URL
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VERSION"><B>JAVA_VERSION</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Runtime Environment version
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VM_NAME"><B>JAVA_VM_NAME</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Virtual Machine implementation name
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VM_SPECIFICATION_NAME"><B>JAVA_VM_SPECIFICATION_NAME</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Virtual Machine specification name
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VM_SPECIFICATION_VENDOR"><B>JAVA_VM_SPECIFICATION_VENDOR</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Virtual Machine specification vendor
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VM_SPECIFICATION_VERSION"><B>JAVA_VM_SPECIFICATION_VERSION</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Virtual Machine specification version
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VM_VENDOR"><B>JAVA_VM_VENDOR</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Virtual Machine implementation vendor
<DT><A HREF="../ch/javasoft/lang/SystemProperties.html#JAVA_VM_VERSION"><B>JAVA_VM_VERSION</B></A> - 
Static variable in interface ch.javasoft.lang.<A HREF="../ch/javasoft/lang/SystemProperties.html" title="interface in ch.javasoft.lang">SystemProperties</A>
<DD>Java Virtual Machine implementation version
<DT><A HREF="../ch/javasoft/metabolic/parse/SbmlParser.html#JAXP_SCHEMA_LANGUAGE"><B>JAXP_SCHEMA_LANGUAGE</B></A> - 
Static variable in class ch.javasoft.metabolic.parse.<A HREF="../ch/javasoft/metabolic/parse/SbmlParser.html" title="class in ch.javasoft.metabolic.parse">SbmlParser</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/metabolic/parse/SbmlParser.html#JAXP_SCHEMA_SOURCE"><B>JAXP_SCHEMA_SOURCE</B></A> - 
Static variable in class ch.javasoft.metabolic.parse.<A HREF="../ch/javasoft/metabolic/parse/SbmlParser.html" title="class in ch.javasoft.metabolic.parse">SbmlParser</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/swing/JComponentGroup.html" title="class in ch.javasoft.swing"><B>JComponentGroup</B></A> - Class in <A HREF="../ch/javasoft/swing/package-summary.html">ch.javasoft.swing</A><DD>A <tt>JComponentGroup</tt> groups components such that they can coordinate
 their sizes.<DT><A HREF="../ch/javasoft/swing/JComponentGroup.html#JComponentGroup(ch.javasoft.swing.JComponentGroup.Binding)"><B>JComponentGroup(JComponentGroup.Binding)</B></A> - 
Constructor for class ch.javasoft.swing.<A HREF="../ch/javasoft/swing/JComponentGroup.html" title="class in ch.javasoft.swing">JComponentGroup</A>
<DD>Creates a component group with the given binding constraints
<DT><A HREF="../ch/javasoft/swing/JComponentGroup.Binding.html" title="enum in ch.javasoft.swing"><B>JComponentGroup.Binding</B></A> - Enum in <A HREF="../ch/javasoft/swing/package-summary.html">ch.javasoft.swing</A><DD>&nbsp;<DT><A HREF="../ch/javasoft/smx/ops/jlapack/JLapackImpl.html" title="class in ch.javasoft.smx.ops.jlapack"><B>JLapackImpl</B></A> - Class in <A HREF="../ch/javasoft/smx/ops/jlapack/package-summary.html">ch.javasoft.smx.ops.jlapack</A><DD>&nbsp;<DT><A HREF="../ch/javasoft/smx/ops/jlapack/JLapackImpl.html#JLapackImpl()"><B>JLapackImpl()</B></A> - 
Constructor for class ch.javasoft.smx.ops.jlapack.<A HREF="../ch/javasoft/smx/ops/jlapack/JLapackImpl.html" title="class in ch.javasoft.smx.ops.jlapack">JLapackImpl</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/smx/ops/jlapack/JLapackImpl.html#JLapackImpl(ch.javasoft.util.numeric.Zero)"><B>JLapackImpl(Zero)</B></A> - 
Constructor for class ch.javasoft.smx.ops.jlapack.<A HREF="../ch/javasoft/smx/ops/jlapack/JLapackImpl.html" title="class in ch.javasoft.smx.ops.jlapack">JLapackImpl</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><B>Job</B></A>&lt;<A HREF="../ch/javasoft/job/Job.html" title="type parameter in Job">R</A>&gt; - Interface in <A HREF="../ch/javasoft/job/package-summary.html">ch.javasoft.job</A><DD>A <code>Job</code> is a generalization of <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>Runnable</CODE></A>, with return
 value and exception.<DT><A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobFailedException.html" title="class in ch.javasoft.metabolic.efm.borndie.job"><B>JobFailedException</B></A> - Exception in <A HREF="../ch/javasoft/metabolic/efm/borndie/job/package-summary.html">ch.javasoft.metabolic.efm.borndie.job</A><DD>The <code>JobFailedException</code> is an caught exception which occurred
 when a <A HREF="../ch/javasoft/metabolic/efm/borndie/job/PairingJob.html" title="interface in ch.javasoft.metabolic.efm.borndie.job"><CODE>PairingJob</CODE></A> was executed.<DT><A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobFailedException.html#JobFailedException(ch.javasoft.metabolic.efm.borndie.job.PairingJob, java.lang.Throwable)"><B>JobFailedException(PairingJob&lt;?&gt;, Throwable)</B></A> - 
Constructor for exception ch.javasoft.metabolic.efm.borndie.job.<A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobFailedException.html" title="class in ch.javasoft.metabolic.efm.borndie.job">JobFailedException</A>
<DD>Constructor for <code>JobFailedException</code> with failed job and 
 causing exception
<DT><A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobManager.html" title="class in ch.javasoft.metabolic.efm.borndie.job"><B>JobManager</B></A>&lt;<A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobManager.html" title="type parameter in JobManager">Col</A> extends <A HREF="../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column">Column</A>&gt; - Class in <A HREF="../ch/javasoft/metabolic/efm/borndie/job/package-summary.html">ch.javasoft.metabolic.efm.borndie.job</A><DD>The <code>JobManager</code> allows the queuing of pairing jobs and manages 
 their multi-threaded execution.<DT><A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobManager.html#JobManager(ch.javasoft.metabolic.efm.borndie.BornDieController)"><B>JobManager(BornDieController&lt;Col&gt;)</B></A> - 
Constructor for class ch.javasoft.metabolic.efm.borndie.job.<A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobManager.html" title="class in ch.javasoft.metabolic.efm.borndie.job">JobManager</A>
<DD>Constructor for <code>JobManager</code> with controller and job queue of
 unlimited capacity
<DT><A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobManager.html#JobManager(ch.javasoft.metabolic.efm.borndie.BornDieController, int)"><B>JobManager(BornDieController&lt;Col&gt;, int)</B></A> - 
Constructor for class ch.javasoft.metabolic.efm.borndie.job.<A HREF="../ch/javasoft/metabolic/efm/borndie/job/JobManager.html" title="class in ch.javasoft.metabolic.efm.borndie.job">JobManager</A>
<DD>Constructor for <code>JobManager</code> with controller and job queue of
 the specified capacity
<DT><A HREF="../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job"><B>JobMonitor</B></A>&lt;<A HREF="../ch/javasoft/job/JobMonitor.html" title="type parameter in JobMonitor">R</A>&gt; - Interface in <A HREF="../ch/javasoft/job/package-summary.html">ch.javasoft.job</A><DD>The <code>JobMonitor</code> allows monitoring of a <A HREF="../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job"><CODE>Job</CODE></A> currently 
 being executed.<DT><A HREF="../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><B>JobProcessor</B></A>&lt;<A HREF="../ch/javasoft/job/JobProcessor.html" title="type parameter in JobProcessor">JR</A>,<A HREF="../ch/javasoft/job/JobProcessor.html" title="type parameter in JobProcessor">R</A>,<A HREF="../ch/javasoft/job/JobProcessor.html" title="type parameter in JobProcessor">J</A> extends <A HREF="../ch/javasoft/job/Job.html" title="interface in ch.javasoft.job">Job</A>&lt;? extends <A HREF="../ch/javasoft/job/JobProcessor.html" title="type parameter in JobProcessor">JR</A>&gt;&gt; - Interface in <A HREF="../ch/javasoft/job/package-summary.html">ch.javasoft.job</A><DD>The <code>JobProcessor</code> is a generic interface which is implemented
 by different processors, which process jobs in different manners, e.g.<DT><A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>JobQueue</B></A>&lt;<A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="type parameter in JobQueue">T</A> extends <A HREF="../ch/javasoft/metabolic/efm/concurrent/ConcurrentToken.html" title="interface in ch.javasoft.metabolic.efm.concurrent">ConcurrentToken</A>&gt; - Class in <A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree</A><DD>Tree recursions are split up into jobs, each job is an instance of
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>Runnable</CODE></A>.<DT><A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html#JobQueue(ch.javasoft.metabolic.efm.config.Config, int, T, ch.javasoft.metabolic.efm.adj.incore.tree.Root, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.memory.SortableMemory, ch.javasoft.metabolic.efm.adj.incore.tree.Node, ch.javasoft.metabolic.efm.adj.incore.tree.Node, boolean, java.util.Queue)"><B>JobQueue(Config, int, T, Root&lt;T&gt;, SortableMemory&lt;Column&gt;, SortableMemory&lt;Column&gt;, SortableMemory&lt;Column&gt;, Node&lt;T&gt;, Node&lt;T&gt;, boolean, Queue&lt;ColumnPair&gt;)</B></A> - 
Constructor for class ch.javasoft.metabolic.efm.adj.incore.tree.<A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/JobQueue.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">JobQueue</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/metabolic/efm/tree/concurrent/JobQueue.html" title="class in ch.javasoft.metabolic.efm.tree.concurrent"><B>JobQueue</B></A>&lt;<A HREF="../ch/javasoft/metabolic/efm/tree/concurrent/JobQueue.html" title="type parameter in JobQueue">T</A> extends <A HREF="../ch/javasoft/metabolic/efm/concurrent/ConcurrentToken.html" title="interface in ch.javasoft.metabolic.efm.concurrent">ConcurrentToken</A>&gt; - Class in <A HREF="../ch/javasoft/metabolic/efm/tree/concurrent/package-summary.html">ch.javasoft.metabolic.efm.tree.concurrent</A><DD>Tree recursions are split up into jobs, each job is an instance of
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>Runnable</CODE></A>.<DT><A HREF="../ch/javasoft/metabolic/efm/tree/concurrent/JobQueue.html#JobQueue(ch.javasoft.metabolic.efm.tree.TreePairTraverser, T)"><B>JobQueue(TreePairTraverser&lt;T&gt;, T)</B></A> - 
Constructor for class ch.javasoft.metabolic.efm.tree.concurrent.<A HREF="../ch/javasoft/metabolic/efm/tree/concurrent/JobQueue.html" title="class in ch.javasoft.metabolic.efm.tree.concurrent">JobQueue</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job"><B>JobResult</B></A>&lt;<A HREF="../ch/javasoft/job/JobResult.html" title="type parameter in JobResult">R</A>&gt; - Interface in <A HREF="../ch/javasoft/job/package-summary.html">ch.javasoft.job</A><DD>The <code>JobResult</code> gives access to the result of an 
 <A HREF="../ch/javasoft/job/Executable.html" title="interface in ch.javasoft.job"><CODE>Executable</CODE></A>, either to the return value for normal termination, or to
 the exception if any has occurred.<DT><A HREF="../ch/javasoft/job/Jobs.html" title="class in ch.javasoft.job"><B>Jobs</B></A>&lt;<A HREF="../ch/javasoft/job/Jobs.html" title="type parameter in Jobs">R</A>&gt; - Class in <A HREF="../ch/javasoft/job/package-summary.html">ch.javasoft.job</A><DD>The <code>Jobs</code> class contains methods to create 
 <A HREF="../ch/javasoft/job/Jobs.html" title="class in ch.javasoft.job"><CODE>jobs</CODE></A> from <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Runnable.html" title="class or interface in java.lang"><CODE>runnables</CODE></A> and 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/concurrent/Callable.html" title="class or interface in java.util.concurrent"><CODE>callables</CODE></A>.<DT><A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/JobScheduleMultiThreadTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree"><B>JobScheduleMultiThreadTreeFactory</B></A> - Class in <A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree</A><DD>Instead of splitting recursions into 2 parts when new threads are created,
 the tree is traversed (usually 3 levels) and jobs are created for each 
 recursive call.<DT><A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/JobScheduleMultiThreadTreeFactory.html#JobScheduleMultiThreadTreeFactory(ch.javasoft.metabolic.efm.model.EfmModel)"><B>JobScheduleMultiThreadTreeFactory(EfmModel)</B></A> - 
Constructor for class ch.javasoft.metabolic.efm.adj.incore.tree.<A HREF="../ch/javasoft/metabolic/efm/adj/incore/tree/JobScheduleMultiThreadTreeFactory.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree">JobScheduleMultiThreadTreeFactory</A>
<DD>Constructor with specified number of threads to use
<DT><A HREF="../ch/javasoft/job/JobTerminationHandler.html" title="interface in ch.javasoft.job"><B>JobTerminationHandler</B></A>&lt;<A HREF="../ch/javasoft/job/JobTerminationHandler.html" title="type parameter in JobTerminationHandler">R</A>&gt; - Interface in <A HREF="../ch/javasoft/job/package-summary.html">ch.javasoft.job</A><DD>A <code>JobTerminationHandler</code> can be registered with a 
 <A HREF="../ch/javasoft/job/JobProcessor.html" title="interface in ch.javasoft.job"><CODE>JobProcessor</CODE></A> and is notified when jobs terminate, regularly or
 exceptional.<DT><A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html#join(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap)"><B>join(MultiValueMap&lt;K, ?&gt;, MultiValueMap&lt;?, V&gt;)</B></A> - 
Static method in class ch.javasoft.util.map.<A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>
<DD>Alternative to the constructor, for convenience only.
<DT><A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html#join(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap...)"><B>join(MultiValueMap&lt;K, ?&gt;, MultiValueMap&lt;?, V&gt;, MultiValueMap&lt;?, ?&gt;...)</B></A> - 
Static method in class ch.javasoft.util.map.<A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>
<DD>Joins several multi value maps resulting in a new virtual multi value map.
<DT><A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map"><B>JoinedMultiValueMap</B></A>&lt;<A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">K</A>,<A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html" title="type parameter in JoinedMultiValueMap">V</A>&gt; - Class in <A HREF="../ch/javasoft/util/map/package-summary.html">ch.javasoft.util.map</A><DD>The <code>JoinedMultiValueMap</code> class joins two instances of 
 <A HREF="../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map"><CODE>MultiValueMap</CODE></A>.<DT><A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html#JoinedMultiValueMap(ch.javasoft.util.map.MultiValueMap, ch.javasoft.util.map.MultiValueMap)"><B>JoinedMultiValueMap(MultiValueMap&lt;K, ?&gt;, MultiValueMap&lt;?, V&gt;)</B></A> - 
Constructor for class ch.javasoft.util.map.<A HREF="../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>
<DD>Cconstructor to join two multi value maps
<DT><A HREF="../ch/javasoft/metabolic/efm/progress/JProgress.html" title="class in ch.javasoft.metabolic.efm.progress"><B>JProgress</B></A> - Class in <A HREF="../ch/javasoft/metabolic/efm/progress/package-summary.html">ch.javasoft.metabolic.efm.progress</A><DD>The <code>JProgress</code> shows progress information in a swing progress
 window.<DT><A HREF="../ch/javasoft/metabolic/efm/progress/JProgress.html#JProgress(ch.javasoft.metabolic.efm.progress.AbstractStringProgressWriter.Mode, int, int)"><B>JProgress(AbstractStringProgressWriter.Mode, int, int)</B></A> - 
Constructor for class ch.javasoft.metabolic.efm.progress.<A HREF="../ch/javasoft/metabolic/efm/progress/JProgress.html" title="class in ch.javasoft.metabolic.efm.progress">JProgress</A>
<DD>Constructor with mode and precision, interpreted as defined by the 
 <A HREF="../ch/javasoft/metabolic/efm/progress/AbstractStringProgressWriter.Mode.html" title="enum in ch.javasoft.metabolic.efm.progress"><CODE>mode</CODE></A> constant.
<DT><A HREF="../ch/javasoft/metabolic/efm/progress/JProgress.html#JProgress(ch.javasoft.metabolic.efm.progress.AbstractStringProgressWriter.Mode, int, int, long, long)"><B>JProgress(AbstractStringProgressWriter.Mode, int, int, long, long)</B></A> - 
Constructor for class ch.javasoft.metabolic.efm.progress.<A HREF="../ch/javasoft/metabolic/efm/progress/JProgress.html" title="class in ch.javasoft.metabolic.efm.progress">JProgress</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/metabolic/parse/JUnitTestCaseParser.html" title="class in ch.javasoft.metabolic.parse"><B>JUnitTestCaseParser</B></A> - Class in <A HREF="../ch/javasoft/metabolic/parse/package-summary.html">ch.javasoft.metabolic.parse</A><DD>Derives a metabolic network by running a junit test case.<DT><A HREF="../ch/javasoft/metabolic/parse/JUnitTestCaseParser.html#JUnitTestCaseParser()"><B>JUnitTestCaseParser()</B></A> - 
Constructor for class ch.javasoft.metabolic.parse.<A HREF="../ch/javasoft/metabolic/parse/JUnitTestCaseParser.html" title="class in ch.javasoft.metabolic.parse">JUnitTestCaseParser</A>
<DD>&nbsp;
<DT><A HREF="../ch/javasoft/lang/management/JVMTimer.html" title="class in ch.javasoft.lang.management"><B>JVMTimer</B></A> - Class in <A HREF="../ch/javasoft/lang/management/package-summary.html">ch.javasoft.lang.management</A><DD>The <code>JVMTimer</code> polls all java threads and updates timing 
 information for all threads.<DT><A HREF="../ch/javasoft/lang/management/JVMTimer.html#JVMTimer(long)"><B>JVMTimer(long)</B></A> - 
Constructor for class ch.javasoft.lang.management.<A HREF="../ch/javasoft/lang/management/JVMTimer.html" title="class in ch.javasoft.lang.management">JVMTimer</A>
<DD>Create a polling thread to track times.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-9.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-11.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-10.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-10.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">J</A> <A HREF="index-11.html">K</A> <A HREF="index-12.html">L</A> <A HREF="index-13.html">M</A> <A HREF="index-14.html">N</A> <A HREF="index-15.html">O</A> <A HREF="index-16.html">P</A> <A HREF="index-17.html">Q</A> <A HREF="index-18.html">R</A> <A HREF="index-19.html">S</A> <A HREF="index-20.html">T</A> <A HREF="index-21.html">U</A> <A HREF="index-22.html">V</A> <A HREF="index-23.html">W</A> <A HREF="index-24.html">X</A> <A HREF="index-25.html">Y</A> <A HREF="index-26.html">Z</A> <HR>

</BODY>
</HTML>
